<template>
	<h-dark title=""></h-dark>
	<view class="">
		<view class="p-[30rpx]">
			<u-parse class="leading-loose" :html="data.content"></u-parse>
		</view>
	</view>
</template>

<script lang="ts" setup>
	import { ref } from 'vue'
	import { onLoad } from '@dcloudio/uni-app'
	import { getHintDetail } from '@/api/news'
	
	const data = ref<any>({})

	const getData = async (id : number) => {
		data.value = await getHintDetail({ id: id })
	}

	onLoad((options : any) => {
		getData(options.id)
	})
</script>

<style lang="scss">
</style>